%define realname stg
Name: stargazer
Version: 2.404.9.7
Release: alt1
License: GPLv2
Group: System/Servers
Source0: %realname-%version.src.tgz
Source1: %name
Source3: fw
Source4: %name-examples.tar.bz2
Patch0: %name-alt_local.diff
Patch1: %name-alt_auth.diff
Patch2: %name-alt_install.diff
Summary: Stargazer billing system
Summary(ru_RU.CP1251): - Stargazer
Url: http://stargazer.dp.ua
Packager: Motsyo Gennadi <drool@altlinux.ru>
Requires: iptables

# Automatically added by buildreq on Thu Feb 28 2008 (-bi)
BuildRequires: gcc-c++ libexpat-devel linux-libc-headers packages-info-i18n-common

%description
Stargazer billing system

%description -l ru_RU.CP1251
- Stargazer

%package -n %name-doc
Summary: Stargazer billing system manual and live example
Group: Books/Other

%description -n %name-doc
Stargazer billing system manual and live example

%description -n %name-doc -l ru_RU.CP1251

%package -n sgauth
Summary: Stargazer Internet authorization system
Group: Networking/Other

%description -n sgauth
This package allows to make authorization in the Internet-networks with Stargazer billing system.

%package -n sgconf
Summary: Stargazer billing system console configuration tool
Group: System/Configuration/Networking

%description -n sgconf
Stargazer billing system console configuration tool

%prep
%add_findprov_lib_path %_libdir/stg
%setup -q -n %realname-%version
tar -xjf %SOURCE4
%patch0 -p1
%patch1 -p1
%patch2 -p1
find -name 'Makefile*' -print0 | xargs -r0 -- sed -i 's@-rpath.*@-rpath,%_libdir/%realname -Wl,-rpath-link,'`pwd`'/lib@'

%build
# x86_64
%__subst 's|usr/lib|usr/%_lib|g' projects/stargazer/build projects/sgauth/build
%__subst 's|lib/stg|%_lib/stg|g' projects/rscriptd/Makefile \
    projects/stargazer/Makefile projects/stargazer/plugins/Makefile.in \
    projects/stargazer/inst/linux/etc/stargazer/stargazer.conf \
    projects/sgconf/Makefile projects/sgauth/Makefile \
    stglibs/Makefile.in

# optflags
%__subst 's|CFLAGS="$CFLAGS -O2"|CFLAGS="$CFLAGS %optflags"|g' projects/stargazer/build
%__subst 's|CFLAGS="-O2"|CFLAGS="%optflags"|g' projects/sgauth/build
%__subst 's|CFLAGS="-O2"|CFLAGS="%optflags"|g' projects/sgconf/build

cd projects/sgauth
# #./build
cd ../sgconf
# #./build
cd ../stargazer
%__subst 's|PREFIX=""|PREFIX="%buildroot"|g' ./build
%__subst 's|install -m|install -Dp -m|g' ./Makefile
%__subst 's|-m $(DATA_MODE)||g' ./Makefile
%__subst 's|-o $(OWNER) ||g' ./Makefile ../../stglibs/Makefile.in plugins/Makefile.in
%__subst 's|/var/stargazer|%_datadir/stargazer|g' ./Makefile
%__subst 's|/usr/sbin/$(PROG)|/usr/sbin/stargazer.bin|g' ./Makefile
./build

%install
cd projects/sgauth
# #make PREFIX=%buildroot install
cd ../sgconf
# #make PREFIX=%buildroot install-bin
cd ../stargazer
make PREFIX=%buildroot install
%__install -Dp -m700 %SOURCE1 %buildroot%_initdir/%name
%__install -Dp -m700 %SOURCE3 %buildroot%_sysconfdir/%name/fw


%post
%post_service %name
##service %name restart

%preun
service %name stop

%files -n %name-doc
%doc stargazer-examples stargazer*.pdf projects/stargazer/README projects/stargazer/BUGS projects/stargazer/TODO

# #%files -n sgauth
# #%doc projects/sgauth/readme
# #%_bindir/sgauth

# #%files -n sgconf
# #%_bindir/sgconf

%files
%_sbindir/*
%dir %_initdir/%name
%dir %_sysconfdir/%name
%dir %_datadir/%name
%config(noreplace,missingok) %_initdir/%name
%config(noreplace,missingok) %_sysconfdir/%name/*
%config(noreplace,missingok) %_datadir/%name/tariffs/*
%config(noreplace,missingok) %_datadir/%name/admins/*
%config(noreplace,missingok) %_datadir/%name/users/test/*
%_libdir/%realname

%changelog
* Tue Mar 11 2008 Motsyo Gennadi <drool@altlinux.ru> 2.404.9.7-alt1
- test build for Sisyphus

* Mon Feb 11 2008 Motsyo Gennadi <drool@altlinux.ru> 2.404.9.7-alt0.M40.1
- new 2.404.9.7 release

* Thu Dec 27 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.2007.12.25.M40.1
- fix bug inetaccess module

* Wed Dec 26 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.2007.12.25.M40.0
- new development snapshot

* Mon Dec 24 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.2007.12.21.M40.2
- fix unmets (thanks to Legion for help)

* Sun Dec 23 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.2007.12.21.M40.1
- new development snapshot (thanks to Madf for hints)
	* x86_64 build now fixed

* Sun Dec 16 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.2007.01.06.M40.2
- fix TEXTREL (add -fPIC to optflags)

* Sat Aug 18 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.M40.1
- new snapshot

* Mon Nov 20 2006 Motsyo Gennadi <drool@altlinux.ru> 2.402.9.7-alt0.M24.2
- update live example by alliance.dmitriy at rambler dot ru (support squid+cbq)
- add branded manual in PDF format
- separate example and manual to %name-doc package

* Sun Nov 12 2006 Motsyo Gennadi <drool@altlinux.ru> 2.402.9.7-alt0.M24.1
- new version
    -> upsream fix error with charge to the user of the prepaid traffic
- fix URL
- disable autostart after install/upgrade

* Fri Nov 03 2006 Motsyo Gennadi <drool@altlinux.ru> 2.401.9.7-alt0.M24.1
- new version
- fix license
- add firewall script by default and fix daemon for this
- add live example by alliance.dmitriy at rambler dot ru

* Wed Oct 11 2006 Motsyo Gennadi <drool@altlinux.ru> 2.4.8.6-alt0.M24.1
- new version
- fix URL
- add ALT Linux 2.4 Master compatible daemon

* Tue Oct 10 2006 Motsyo Gennadi <drool@altlinux.ru> 2.016.7.6-alt0.M24.1
- initial build for ALT Linux 2.4 Master
